commit:     5d0d7e7a046fb6b188beb9695fe6545338b1e730
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 13 14:24:20 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Oct 13 14:59:49 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d0d7e7a

net-libs/libnsl: add 2.0.1

Closes: https://bugs.gentoo.org/915152
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-libs/libnsl/Manifest            |  1 +
 net-libs/libnsl/libnsl-2.0.1.ebuild | 47 +++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/net-libs/libnsl/Manifest b/net-libs/libnsl/Manifest
index 1b1355f34238..f977a140c71e 100644
--- a/net-libs/libnsl/Manifest
+++ b/net-libs/libnsl/Manifest
@@ -1,2 +1,3 @@
 DIST libnsl-1.3.0.tar.xz 321488 BLAKE2B 
25cb4fa2b3f161ce4cd06ca5cc0a716bf981620de4eb102f464bc1919b8f6d82f7b02a6108260122000bbac0307d9db05d406183dc533dd1b97683d08a7fc5f5
 SHA512 
a5a6c3ccb2d1e724c8c1f65e55dcd09383eb1ae019c55f4c09441eadf23ffbc2196cfad259805b0ac40ddf3a10af0da453e4d739d67d46829c64d0995dab4e55
 DIST libnsl-2.0.0.tar.xz 284408 BLAKE2B 
843cd0346b45a688c59b88caebd9c5c938b0ef4b5e751b27599ae725a19f0ba2b88bc23b861edc75d79ae6c6bb829e4f82e9e3cd994d25d3385b1a75b9b58b8e
 SHA512 
02ff41d335b7e965182c1f47a6448c1a71ae991a4d5a86ae5472cea7b38633a36b736469cc0d9fc407c706f3f144f90e4b7c9653643976805aa96fc319a69784
+DIST libnsl-2.0.1.tar.xz 281892 BLAKE2B 
91ad7558127a675bc861dee11d00d82a999462d34753f579a77c1579a7f8be1ded2eff11ecfde9dc81e2466118c288ee18a8b280453f6548cc2b4528021e1503
 SHA512 
0ffdf15b4380fc89bf11f4f64b74ed999099c0ab3ee39cafd52f933a5000f9b1ed3987c8c13533a7cd92474aadd4cc9909a2e1eabc9143f0cb11746385e5fc57

diff --git a/net-libs/libnsl/libnsl-2.0.1.ebuild 
b/net-libs/libnsl/libnsl-2.0.1.ebuild
new file mode 100644
index 000000000000..671f79301416
--- /dev/null
+++ b/net-libs/libnsl/libnsl-2.0.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib-minimal preserve-libs
+
+DESCRIPTION="Public client interface for NIS(YP) in a IPv6 ready version"
+HOMEPAGE="https://github.com/thkukuk/libnsl";
+SRC_URI="https://github.com/thkukuk/${PN}/releases/download/v${PV}/${P}.tar.xz";
+
+# This is a core package which is depended on by e.g. PAM in some cases.
+# Please use preserve-libs.eclass in pkg_{pre,post}inst to cover users
+# with FEATURES="-preserved-libs" or another package manager if SONAME
+# changes.
+SLOT="0/3"
+LICENSE="LGPL-2.1+ BSD"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+DEPEND=">=net-libs/libtirpc-1.2.0:=[${MULTILIB_USEDEP}]"
+RDEPEND="
+       ${DEPEND}
+       !<sys-libs/glibc-2.26
+"
+
+multilib_src_configure() {
+       local myconf=(
+               --enable-shared
+               $(use_enable static-libs static)
+       )
+
+       ECONF_SOURCE="${S}" econf "${myconf[@]}"
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${ED}" -type f -name '*.la' -delete || die
+}
+
+pkg_preinst() {
+       preserve_old_lib /usr/$(get_libdir)/libnsl.so.2
+}
+
+pkg_postinst() {
+       preserve_old_lib_notify /usr/$(get_libdir)/libnsl.so.2
+}

Reply via email to